<a href="./README.md"><img src="https://img.shields.io/badge/🇬🇧English-e9e9e9" width="100"></a>
<a href="./READMECN.md"><img src="https://img.shields.io/badge/🇨🇳中文简体-0b8cf5" width="100"></a>
## Colorista调色师
<a href="https://space.bilibili.com/1220061774">
  <img src="https://github.com/user-attachments/assets/7bf4d809-ae68-4bfc-a49f-bdefc1f149d0" alt="image" width="150">
</a>

专为调色师设计的快捷调色工具，允许一键构建AGX调色面板，并直接在视口中实时预览效果

## 特性

·一键进入实时色彩调整模式

·直接可用的专用调色板面板

·同步色彩管理

·支持历史记录

·支持预设设置

·支持中文和英文

![image](https://github.com/user-attachments/assets/7981a754-e801-455b-a4bc-2f4a08ba9e2b)


## Colorista Ⅵ使用

### 矫正系列

**自动白平衡**
自动根据光源条件调整色彩平衡，使图像中的白色看起来自然。然而，由于预览的特殊性，有时可能需要手动进行校正（手动白平衡功能将在未来版本中开发）。

白平衡的目的是避免环境光影响图像的色彩准确性

blender中我们有太多方式避免环境的影响（比如使用光程节点）

某些情况下，保留环境光反而能带来更好的视觉效果。

建议：如果您决定调节白平衡 ， 那么白平衡应该是第一个调整的参数，切勿在完成其他调色后再进行白平衡调整，否则可能会导致色彩不准确。

**自动黑白场**
该功能可自动调整画面中纯白和纯黑区域。建议将参数调至最高，以去除画面的灰蒙蒙效果，让整体画面更加通透。在 Blender 的色彩空间中，AGX 模式表现最佳，其次是电影化模式最后是中性pbr，而标准模式大概率过曝

**自动灰场**
自动调整灰色区域，在标准色彩空间下拥有非常优秀的效果。建议不要直接设置到最高，可以先尝试较低的值再进行微调。

<a>
  <img src="https://github.com/user-attachments/assets/e6505ef4-7c30-4bc8-8fec-52024dfcc412" alt="image" width="500">
</a>

**伽马矫正**
应用于伽马矫正

### 明暗调节系列
该系列主要影响图像的亮暗变化，建议按照以下顺序进行调节：

调节顺序建议：

曝光度：首先调整整体的图像亮度。

高光压缩：恢复图像中过曝区域的细节。

白色和黑色：先调整这两个参数，确定图像的整体亮度范围。


中间调明暗：微调中间色调，确保图像的亮度平衡。

高光和阴影：进一步微调高光和阴影，确保细节和层次感。

**曝光度**
用于调整图像整体的曝光水平。该参数在调节时可能过于刺激，因此在使用时应谨慎。

**自然曝光度**
自然曝光度调整同样是用于调节整体曝光水平，但效果较柔和，不会过于激烈，适合更细腻的曝光调整。

**高光压缩**
处理已经过曝或接近过曝的区域。通过高光压缩，能拉回那些稍微过曝的高光区域，恢复亮部的细节。

**白色**
控制图像中亮部区域的整体亮度。该参数范围较大，但效果温和，适合整体亮部的调节。

**黑色**
调节画面中暗部区域的亮度。该参数范围较大，但影响柔和，适用于控制图像的整体暗部亮度。

**中间调亮暗**
通过调整图像的中间色调明暗，进一步优化整体平衡。这一调节有助于维持图像的层次感。

**高光**
专门调整图像中最亮区域的亮度。与“白色”相比，范围较小但影响强度更高，适合精细调整高光区域。

**阴影**
调整图像中最暗区域的亮度，范围较小但强度明显，比“黑色”影响更强，适合细调暗部区域的亮度。 



### 对比度系列
为了更好地优化图像的视觉冲击力，建议优先调整“智能对比度”，然后再调整“对比度”参数。

**对比度**
对比度是影响图像亮度差异的关键参数，它反映了图像中最亮部分和最暗部分的差异程度。通过适当调整对比度，可以增强图像的视觉深度和层次感。

**智能对比度**
智能对比度提供了更加智能化的调整方式，它能选择性地影响图像不同区域的对比度。建议将该参数调节至最高数值，然后根据实际效果适当调整，以获得最佳效果。



### 视觉清晰系列
在调整清晰度和图像细节时，建议按照以下顺序操作：

清晰度：增强整体的对比度和立体感。

纹理：优化细节质感，确保柔和区域的自然过渡。

锐化：细致调整边缘细节，使图像更为锐利。

注意：过度使用噪点锐化可能导致噪点增加，因此如果对自然锐化效果不满意，调节噪点锐化，那么就降低杂色（并不建议您这样操作，如果您对纹理细节有高要求，这很有可能降低您的细节，请优先使用自然锐化）

**清晰度**
该参数专门增强图像的局部对比度，通常用于提升中频细节，使图像看起来更加立体和锐利。

**纹理**
主要用于调整中等细节。该参数不影响整体对比度或边缘细节，而是专注于增强或柔化图像中的细微细节，如皮肤质感或物体表面的纹理。

**自然锐化**
自然锐化不会产生噪点，光晕效应也较弱。相比之下，它比清晰度更能精准地调整图像的锐度，而不会影响较大区域的对比度。

**噪点锐化**
类似于传统锐化工具，过高的锐化值可能会引发图像噪点，同时可能会导致画面变暗，建议搭配降低杂色参数使用（减少杂色的数值最好是噪点锐化数值的一半）。

**降低杂色**
用于减少图像中由明暗对比引起的噪点，但无法消除因采样不足导致的噪点。数值过大会丢失细节，建议与噪点锐化工具搭配使用。（减少杂色的数值最好是噪点锐化数值的一半）。



### 色彩倾向系列
在对图像的基础调整完成后，可以通过色彩倾向系列调整图像的色温和色调，使其呈现特定的艺术效果或风格。

**场景色彩偏移（RGB）**
常规的调节场景色相

**场景色彩偏移（Lab）**
在lab模式下调节场景色相

**色温**
调节色温可以使图像偏向冷色调或暖色调。降低色温数值会使图像更加冷色（带有蓝色），而提高色温则会使图像更加暖色（带有黄色或橙色）。

<a>
  <img src="https://github.com/user-attachments/assets/1801c48d-887a-4956-ae2a-e30090abaa7a" alt="image" width="500">
</a>

**染色的目标颜色**
用户可以选择希望画面偏向的目标颜色。选定颜色后，可以通过调节染色强度来改变图像的整体色彩倾向。

**目标颜色染色强度**
控制当前选择的目标颜色的染色强度。染色强度值越高，图像的色彩偏向目标颜色的程度越强，反之则较弱。

### 饱和度系列
饱和度调整系列主要用于控制图像中颜色的丰富度和自然感。建议按照以下顺序进行调整：

调节顺序建议：

自然饱和度：优先控制低饱和度区域，保持自然的色彩表现。

智能饱和度：智能调节整体饱和度，增强色彩的活力。

饱和度：调整全局饱和度，确保图像的色彩平衡。

对比饱和度：最后调节高饱和度区域，使其更具对比效果或降低强度以避免过于刺激。

**自然饱和度**
该参数主要关注图像中饱和度较低的区域，目的是保持图像的自然感，避免让颜色显得过于夸张或失真。

**智能饱和度**
智能饱和度是一个更加精细化的工具，它根据图像的对比度和已有的饱和度分布，选择性地调整某些区域的饱和度，使得调整效果更加精准。建议直接调节到最高数值，然后根据画面逐渐降低数值，以获得最佳效果

**饱和度**
饱和度直接影响图像颜色的强度或鲜艳程度。提高饱和度可以让颜色更加鲜明，降低饱和度则会使颜色显得柔和。

**对比饱和度**
专注于图像中已经高饱和度的区域，过高的数值可能导致色彩失真或图像看起来不自然。适度调节可以增强或减弱这些区域的对比效果。

### 特效系列
**辉光强度**
让您的画面产生漂亮的辉光

**星芒强度**
星星模样的辉光

**镜头失真**
让镜头扭曲，往右滑是彩色的，往左滑不是彩色的

**涂抹/胶片颗粒**
往左会让画面像油画的颜料融合在一起的感觉，

往右滑会参数彩色的噪点，这个噪点优先出现在模型的边缘位置，这个彩色找到也是很微弱的要仔细看才能看出来

**马赛克/黑白条漫**
往左画面会变为马赛克

往右会变为早期黑白漫画的感觉

## 创建自己的项目
1.打开“编写”面板并连接节点/节点组。

2.在要在面板上显示的节点/节点组的标签上，填写序列号，如01、02、03、04等

3.保存文件并将其放置在Colorista\resource\EN\your文件夹中

4.如果你需要缩略图，你可以考虑a混合和a.png的组合

![image](https://github.com/user-attachments/assets/8b65b899-2bb8-4028-9a16-afd3a98bb936)


## 限制

·模板可以存预设，但原理上是保存文件到同名文件夹中，所以改模板不会同步更改预设。（删减节点或者其他参数，用程序记录不仅麻烦还会有限制，所以如果更改建议重新保存）

·不建议使用不正确的ACES设置

## 制作者


[朔朔的搅拌机日常](https://space.bilibili.com/1220061774) 为调色板提供了主要的节点生成，这是该工具诞生的关键。

[KarryCharon](https://space.bilibili.com/319473039) 已完成该工具的代码开发。

[BlenderCN-LJ](https://space.bilibili.com/35723238)负责调试、更改，书写文档和安利此工具。
